// $Id: cil-idl.cpp,v 1.1 2004/08/01 02:24:37 uckelman Exp $
/* Board -- a graphical frontend for boardgames
 * Copyright (C) 2004 Joel Uckelman
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#include "cil-idl.h"
#include "game.h"
#include "token.h"

extern GameObj *Game;


//
// QCanvasItemList <-> QValueList<unsigned int>
//
QCanvasItemList idl2cil(const QValueList<unsigned int> &vl) {
   QCanvasItemList cl;
   for (QValueList<unsigned int>::const_iterator i = vl.constBegin();
    i != vl.constEnd(); ++i) cl.append((Token *)(Game->gid2g[*i]));
   return cl;
}


QValueList<unsigned int> cil2idl(const QCanvasItemList &cl) {
   QValueList<unsigned int> vl;
   for (QCanvasItemList::const_iterator i = cl.constBegin();
    i != cl.constEnd(); ++i) vl.append(((Token *)*i)->id());
   return vl;
}
