// $Id: common.h,v 1.72 2004/09/01 20:47:28 uckelman Exp $
/* Board -- a graphical frontend for boardgames
 * Copyright (C) 2001, 2002, 2003, 2004 Joel Uckelman
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef __COMMON_H_
#define __COMMON_H_

enum { // action tools
       TMove, TPlot, TClone, TTrash, TFlipLeft, TFlipRight,
       TRotateCCW, TRotateCW, TProp, TRegroup,
       
       // non-action tools
       TSelect, TWand, TCrayon, TZoomIn, TZoomOut, TRaise,

       // last tool marker, must be last
       TLastTool      
};

enum { M_FILE, M_FILE_NEW, M_FILE_OPEN, M_FILE_SAVE, M_FILE_SAVE_AS,
       M_FILE_REVERT, M_FILE_CLOSE, M_FILE_EXPORT, M_FILE_QUIT,
       
       M_DIALOGS, M_DIALOGS_PROP, M_DIALOGS_MESSAGE,
       M_DIALOGS_ROLL, M_DIALOGS_PREFERENCES, M_DIALOGS_TOKEN_LIST,
       M_DIALOGS_INPLAY_LIST, M_DIALOGS_SELECTED_LIST,
       M_DIALOGS_GROUP, M_DIALOGS_LOGIN, M_DIALOGS_PASSWORD,
       M_DIALOGS_NEW_PLAYER, M_DIALOGS_TAB, M_DIALOGS_SURFACES,
       M_DIALOGS_HISTORY,
       
       M_HELP, M_HELP_HELP, M_HELP_ABOUT, M_HELP_ABOUT_QT,
     
       M_FILE_RECENT };  // NOTE: M_FILE_RECENT must be last

// BOARD_VERSION = (major << 24) + (minor << 12) + micro
#define BOARD_VERSION 0x000003003
#define BOARD_VERSION_STR "0.3.3"

#endif /* __COMMON_H_ */
