// $Id: crayon.h,v 1.2 2004/09/03 05:10:29 uckelman Exp $
/* Board -- a graphical frontend for boardgames
 * Copyright (C) 2002, 2003, 2004 Joel Uckelman
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef __CRAYON_H_
#define __CRAYON_H_

#include <qcanvas.h>
#include <qvaluestack.h>


class CrayonScrawl;


class CrayonSegment : public QCanvasLine {
   public:
      CrayonSegment(QPoint p1, QPoint p2, QCanvas *c, CrayonScrawl *s);      
      virtual int rtti() const;
      static const int RTTI = 500001;

   private:
      CrayonScrawl *scrawl;
};


class CrayonScrawl {
   public:
      CrayonScrawl(QCanvas *);
      ~CrayonScrawl();
      void pushPoint(QPoint p2);
      QPoint popPoint();
      void setPen(QPen p);
      void show();
      void hide();
      void setCanvas(QCanvas *c);
      void setX(double x);
      void setY(double y);
      void setZ(double z);

   private:
      QValueStack<CrayonSegment *> segments;
      QCanvas *canvas;
      QCanvasEllipse *dot;
      QPen pen;
};


#endif /* __CRAYON_H_ */
