// $Id: editview.h,v 1.9 2004/04/02 23:24:49 uckelman Exp $
/* Board -- a graphical frontend for boardgames
 * Copyright (C) 2003, 2004 Joel Uckelman
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef __EDITVIEW_H_
#define __EDITVIEW_H_

#include <qlineedit.h>
#include <qlistview.h>
#include <qtimer.h>


class RenameEdit : public QLineEdit {
   Q_OBJECT

   public:
      RenameEdit(QWidget *);
   
   signals:
      void escapePressed();

   protected:
      virtual void keyPressEvent(QKeyEvent *);
      virtual void focusOutEvent(QFocusEvent *);
};


class EditView : public QListView {
   Q_OBJECT

   public:
      EditView(QWidget *parent = 0, const char *name = 0);
      virtual void clear();   

   protected:
      virtual void keyPressEvent(QKeyEvent *);
      virtual void viewportMousePressEvent(QMouseEvent *);
      virtual void viewportMouseDoubleClickEvent(QMouseEvent *);
      virtual void viewportMouseMoveEvent(QMouseEvent *);
      
      RenameEdit *edit;
      QListViewItem *renameItem;

   protected slots:
      virtual void rename();
      void cancelRename();
      
   private slots:
      void doubleClickTimeout();

   protected:      
      QValueList<QListViewItem *> hasCheckBox;

   private:
      void startRename(bool check = true);
      
      QTimer *edit_timer;
      bool renaming, firstMousePressEvent;
};


#endif /* __EDITVIEW_H_ */
