// $Id: highlight.cpp,v 1.3 2004/08/10 18:51:42 uckelman Exp $
/* Board -- a graphical frontend for boardgames
 * Copyright (C) 2002, 2003, 2004 Joel Uckelman
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#include "highlight.h"
#include "token.h"


//
// Highlight
//
Highlight::Highlight(Token *t, unsigned int m, const QPen &p) :
 QCanvasRectangle(QRect(t->boundingRect().topLeft() - QPoint(m,m),
  t->boundingRect().bottomRight() + QPoint(m,m)), t->canvas()), pen(p) {
}


Highlight::Highlight(const QRect &r, QCanvas *c, unsigned int m,
 const QPen &p) : QCanvasRectangle(QRect(r.topLeft() - QPoint(m,m),
 r.bottomRight() + QPoint(m,m)), c), pen(p) {
}


Highlight::Highlight(const QRect &r, QCanvas *c, const QPen &p) :
 QCanvasRectangle(r, c), pen(p) {
}


Highlight::~Highlight() {
   hide();
}


void Highlight::drawShape(QPainter &p) {
   p.setRasterOp(Qt::CopyROP);
   p.setPen(pen);
   p.drawRect(rect()); 
}
