// $Id: highlight.h,v 1.3 2004/08/10 18:51:43 uckelman Exp $
/* Board -- a graphical frontend for boardgames
 * Copyright (C) 2001, 2002, 2003, 2004 Joel Uckelman
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef __HIGHLIGHT_H_
#define __HIGHLIGHT_H_

#include <qcanvas.h>
#include <qpainter.h>
#include <qpen.h>
#include <qrect.h>

class Token;

class Highlight : public QCanvasRectangle {
   public:
      Highlight(Token *t, unsigned int m, const QPen &p);
      Highlight(const QRect &r, QCanvas *c, unsigned int m, const QPen &p);
      Highlight(const QRect &r, QCanvas *c, const QPen &p);
      ~Highlight();
   
   protected:
      virtual void drawShape(QPainter &p);

   private:
      QPen pen;
};


#endif /* __HIGHLIGHT_H_ */
