// $Id: logstack.h,v 1.1 2004/07/28 17:43:02 uckelman Exp $
/* Board -- a graphical frontend for boardgames
 * Copyright (C) 2004 Joel Uckelman
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef __LOGSTACK_H_
#define __LOGSTACK_H_


#include <qdom.h>
#include <qobject.h>
#include <qvaluestack.h>

class Action;


class ActionStack : public QValueStack<Action *> {
   public:
      ~ActionStack();
};


class LogStack : public QObject, public ActionStack {
   Q_OBJECT

   public:
      QDomElement dumpXML(QDomDocument &doc);

   public slots:
      void log(Action *a);
      void abort();
      void complete();

   signals:
      void changed(bool);
      void logged(Action *a);
      void unlogged(Action *a);
      void aborted(Action *a);
      void completed(Action *a);
};

#endif /* __LOGSTACK_H_ */
