// $Id: md5hash.cpp,v 1.2 2004/04/03 17:16:49 uckelman Exp $
/* Board -- a graphical frontend for boardgames
 * Copyright (C) 2003 Joel Uckelman
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#include "md5hash.h"

#include <openssl/md5.h>

QString md5hash(const QString &key) {
   // get the md5 hash of the key
   unsigned char hash[MD5_DIGEST_LENGTH];
   MD5((unsigned char *)key.ascii(), key.length(), hash);

   // convert the hash to a string of hexadecimal digits
   QString hex;
   for (unsigned int i = 0; i < MD5_DIGEST_LENGTH; ++i)
    hex += QString::number(hash[i], 16);

   return hex;
}
