// $Id: messagedialog.cpp,v 1.5 2004/08/03 22:02:06 uckelman Exp $
/* Board -- a graphical frontend for boardgames
 * Copyright (C) 2003, 2004 Joel Uckelman
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#include <qlabel.h>
#include <qlayout.h>
#include <qlineedit.h>
#include <qtextedit.h>

#include "action.h"
#include "game.h"
#include "messagedialog.h"
#include "player.h"


//
// MessageDialog
//
MessageDialog::MessageDialog(GameObj *g, QWidget *parent, const char *name,
 WFlags f) : TabPage(QIconSet(), "Messages", parent, name, f), game(g) {
   QVBoxLayout *vb = (QVBoxLayout *)layout();
 
   display = new QTextEdit(this); 
   display->setReadOnly(true);
   display->setTextFormat(RichText);
   vb->addWidget(display);

   edit = new QLineEdit(this);
   vb->addWidget(edit);

   connect(edit, SIGNAL(returnPressed()), this, SLOT(recordMessage()));
}


void MessageDialog::logAction(Action *a) {
   QString s = a->text();
   s.replace('\n', "<br>&nbsp;&nbsp;&nbsp;");
   display->append(userTag() + " " + s);
}


void MessageDialog::recordMessage() {
   // FIXME: reinstate this once MessageAction is converted
   /*
   MessageAction *a = new MessageAction(edit->text());
   if (a->isPermissible()) {
      a->commit();
      game->done.log(a);
      game->done.complete();
   }
   else delete a;

   edit->clear();
   */
}


QString MessageDialog::userTag() {
   return QString("<font color=\"red\">&lt;" + game->user->name() +
    "&gt;</font>");
}
