// $Id: messagedialog.h,v 1.3 2004/06/20 02:53:06 uckelman Exp $
/* Board -- a graphical frontend for boardgames
 * Copyright (C) 2003, 2004 Joel Uckelman
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef __MESSAGEDIALOG_H_
#define __MESSAGEDIALOG_H_

#include <qwidget.h>

#include "tabpage.h"

class Action;
class GameObj;
class QLineEdit;
class QTextEdit;

class MessageDialog : public TabPage {
   Q_OBJECT
   
   public:
      MessageDialog(GameObj *g, QWidget *parent = 0, const char *name = 0,
       WFlags f = 0);

   public slots:
      void logAction(Action *a);
      //void unlogAction(Action *a);

   private slots:
      void recordMessage();

   private:
      QString userTag();

      GameObj *game;
      QTextEdit *display;
      QLineEdit *edit;
};

#endif /* __MESSAGEDIALOG_H_ */
