// $Id: player.h,v 1.1 2004/08/03 22:00:01 uckelman Exp $
/* Board -- a graphical frontend for boardgames
 * Copyright (C) 2003, 2004 Joel Uckelman
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef __PLAYER_H_
#define __PLAYER_H_

#include <qcolor.h>
#include <qdom.h>
#include <qmap.h>

#include "group.h"

class GameObj;


class Player : public Group {
   public:
      Player(GameObj *g, const QString &n, const QString &pw,
       unsigned int i = 0);
      virtual Player *owner();
      virtual QDomElement dumpXML(QDomDocument &doc) const;
      QString password() const;
      void setPassword(const QString &p);
      QColor drawingColor(Player *p) const;
      void setDrawingColor(Player *p, const QColor &c);
      unsigned int drawingWidth(Player *p) const;
      void setDrawingWidth(Player *p, unsigned int w);
      unsigned int drawingMargin(Player *p) const;
      void setDrawingMargin(Player *p, unsigned int m);

   private:
      QString Pass;

      struct P {
         struct {
            QColor color;
            unsigned int width, margin;
         } drawing;
      };      

      QMap<Player *, P> pref;
};


#endif /* __PLAYER_H_ */
