// $Id: playerdialogs.h,v 1.3 2004/08/03 22:33:26 uckelman Exp $
/* Board -- a graphical frontend for boardgames
 * Copyright (C) 2004 Joel Uckelman
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef __PLAYERDIALOGS_H_
#define __PLAYERDIALOGS_H_

#include <qcombobox.h>
#include <qdialog.h>
#include <qlabel.h>
#include <qlineedit.h>
#include <qpushbutton.h>

#include "player.h"


class PlayerSelectDialog : public QDialog {
   Q_OBJECT

   public:
      static Player *getPlayer(const QValueList<Player *> &pl,
       QWidget *parent = 0);

   private slots:
      void checkPassword();
 
   private:
      PlayerSelectDialog(const QValueList<Player *> &l, QWidget *parent = 0,
       const char *name = 0, bool modal = true, WFlags f = 0);

      QValueList<Player *> list;
      QComboBox *combo; 
      QLineEdit *le;
      QLabel *message;
};


class PlayerSetPasswordDialog : public QDialog {
   Q_OBJECT

   public:
      static QString getPassword(QWidget *parent = 0);
 
   private slots:
      void activate();

   private:
      PlayerSetPasswordDialog(QWidget *parent = 0, const char *name = 0,
       bool modal = true, WFlags f = 0);

      QLineEdit *pass, *conf;
      QPushButton *ok;
};

#endif /* __PLAYERDIALOGS_H_ */
