// $Id: preferences.cpp,v 1.22 2004/04/02 23:24:49 uckelman Exp $
/* Board -- a graphical frontend for boardgames
 * Copyright (C) 2003, 2004 Joel Uckelman
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */


#include "preferences.h"


//
// Preference
//
Preference::Preference() {
}


Preference::Preference(const QString &key, QVariant value) {
   insert(key, value);
}


QVariant Preference::effective(const QString context) const {
   if (contains("user.game." + context))
    return (*this)["user.game." + context];
   if (contains("user.game")) return (*this)["user.game"];
   if (contains("user")) return (*this)["user"];
   if (contains("default")) return (*this)["default"];
   return QVariant();
}


unsigned int Preference::level(const QString context) const {
   if (contains("user.game." + context)) return Context;
   if (contains("user.game")) return Game;
   if (contains("user")) return User;
   if (contains("default")) return Default;
   return Invalid;
}
