// $Id: preferences.h,v 1.14 2004/04/02 23:24:49 uckelman Exp $
/* Board -- a graphical frontend for boardgames
 * Copyright (C) 2003, 2004 Joel Uckelman
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef __PREFERENCES_H_
#define __PREFERENCES_H_

#include <qmap.h>
#include <qvariant.h>


class Preference : public QMap<QString, QVariant> {
   public:
      Preference();
      Preference(const QString &key, QVariant value = QVariant());
      QVariant effective(const QString context = QString::null) const;
      unsigned int level(const QString context = QString::null) const;

      enum { Invalid, Default, User, Game, Context };
};


typedef QMap<QString, Preference> PreferenceMap;


#endif /* __PREFERENCES_H_ */
