// $Id: preferencesdialog.h,v 1.5 2004/04/02 23:24:49 uckelman Exp $
/* Board -- a graphical frontend for boardgames
 * Copyright (C) 2004 Joel Uckelman
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef __PREFERENCESDIALOG_H_
#define __PREFERENCESDIALOG_H_

#include <qlistview.h>


class Preference;

class PreferencesDialog : public QWidget {
   Q_OBJECT

   public:
      PreferencesDialog(QWidget *parent = 0, const char *name = 0,
       WFlags f = 0);

   public slots:
      void updatePreference(const QString key);

   private slots:
      void editItem(QListViewItem *i);

   signals:
      void preferenceChanged(const QString);

   private:
      QString typeToString(int type);
      QString levelToString(int level);

      QListView lv;

};


#endif /* __PREFERENCESDIALOG_H_ */

