// $Id: prefhandler.h,v 1.1 2004/07/27 18:39:32 uckelman Exp $
/* Board -- a graphical frontend for boardgames
 * Copyright (C) 2004 Joel Uckelman
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef __PREFHANDLER_H_
#define __PREFHANDLER_H_

#include "xmlhandler.h"


class PrefHandler : public XmlHandler {
   public:
      PrefHandler(const QString &file);
      virtual bool startElement(const QString &namespaceURI,
       const QString &localName, const QString &qName,
       const QXmlAttributes &atts);
      virtual bool endElement(const QString &namespaceURI,
       const QString &localName, const QString &qName);

   private:
      bool parsePreferences(const QString &qName,
       QMap<QString,QString> &attrib);
};

#endif /* __PREFHANDLER_H_ */
