// $Id: properties.cpp,v 1.6 2004/04/02 23:24:49 uckelman Exp $
/* Board -- a graphical frontend for boardgames
 * Copyright (C) 2003, 2004 Joel Uckelman
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#include <qhbox.h>
#include <qlabel.h>
#include <qlayout.h>
#include <qlineedit.h>
#include <qpushbutton.h>
#include <qvgroupbox.h>

#include "properties.h"


//
// PropertiesDialog
//
PropertiesDialog::PropertiesDialog(QWidget *parent, const char *name,
 WFlags f) : QWidget(parent, name, f) {
   
   setCaption("Properties");
   
   // layout for the dialog
   QVBoxLayout *vb = new QVBoxLayout(this, 5);
   vb->setMargin(6);

   // name
   QLineEdit *n = new QLineEdit(this);
   vb->addWidget(n);
}


//
// ViewPropertiesDialog
//
ViewPropertiesDialog::ViewPropertiesDialog(QWidget *parent, const char *name,
 WFlags f) : QWidget(parent, name, f) {
   setCaption("Properties");

   // layout for the dialog
   QVBoxLayout *vb = new QVBoxLayout(this, 5);
   vb->setMargin(6);

   // layout for view name
   QHBoxLayout *hb = new QHBoxLayout(vb);
   QLabel *label = new QLabel("Name: ", this);
   hb->addWidget(label);
   QLineEdit *le = new QLineEdit("Name", this);
   hb->addWidget(le);
   
   hb = new QHBoxLayout(vb);
   
   // layout for stacking
   QVGroupBox *gb = new QVGroupBox("Stacking", this);
   hb->addWidget(gb);

   QHBox *hbox = new QHBox(gb);
   label = new QLabel("X Offset: ", hbox);
   le = new QLineEdit(hbox);
   unsigned int w_max = le->fontMetrics().maxWidth();
   le->setMaxLength(3);
   le->setFixedWidth(w_max*3);
  
   hbox = new QHBox(gb); 
   label = new QLabel("Y Offset: ", hbox);
   le = new QLineEdit(hbox);
   le->setMaxLength(3);
   le->setFixedWidth(w_max*3);

   // layout for plotted moves
   gb = new QVGroupBox("Plotted Moves", this);
   hb->addWidget(gb);

   hbox = new QHBox(gb);
   label = new QLabel("Color: ", hbox);

   hbox = new QHBox(gb);
   label = new QLabel("Width: ", hbox);
   le = new QLineEdit(hbox);
   le->setMaxLength(2);
   le->setFixedWidth(w_max*2);
   
   // layout for buttons
   hb = new QHBoxLayout(vb);
   hb->insertStretch(-1);

   QPushButton *ok = new QPushButton("&Ok", this);
   connect(ok, SIGNAL(clicked()), this, SLOT(commit()));
   hb->addWidget(ok);

   QPushButton *cancel = new QPushButton("&Cancel", this);
   cancel->setDefault(true);
   connect(cancel, SIGNAL(clicked()), this, SLOT(close()));
   hb->addWidget(cancel);
   
   hb->insertStretch(-1);
}
