// $Id: roll.h,v 1.10 2004/04/02 23:24:49 uckelman Exp $
/* Board -- a graphical frontend for boardgames
 * Copyright (C) 2002, 2003, 2004 Joel Uckelman
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef __ROLL_H_
#define __ROLL_H_

#include <qcheckbox.h>
#include <qlineedit.h>
#include <qmultilineedit.h>
#include <qpushbutton.h>
#include <qvalidator.h>

#include "common.h"


class RollDialog : public QWidget {
   Q_OBJECT

   public:
      RollDialog(QWidget *parent = 0, const char *name = 0, WFlags f = 0);
   
   signals:
      void rollResult(const QString &);
      
   private slots:
      void rollDice();
      void validateRoll();

   private:
      int rnd(int);  
   
      QLineEdit *sets, *dice[3], *sides[3];
      QCheckBox *cb[3];
      QMultiLineEdit *display;
      QPushButton *roll, *cancel;
};


class RValidator : public QValidator {
   public:
      RValidator(unsigned int, unsigned int, QWidget *, const char *name = 0);
      State validate(QString &, int &) const;

   private:
      unsigned int bottom, top;
};
        
#endif /* __ROLL_H_ */
