// $Id: selectionhandler.h,v 1.1 2004/08/24 14:51:36 uckelman Exp $
/* Board -- a graphical frontend for boardgames
 * Copyright (C) 2002, 2003, 2004 Joel Uckelman
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef __SELECTIONHANDLER_H_
#define __SELECTIONHANDLER_H_

#include <qcanvas.h>
#include <qobject.h>
#include <qtimer.h>

class GameObj;

class SelectionHandler : public QObject {
   Q_OBJECT

   public:
      SelectionHandler(GameObj *g, QObject *parent = 0, const char *name = 0);

      unsigned int count() const;
      QCanvasItemList selection() const;     
 
      void assignSelection(QCanvasItemList l);
      void clearSelection();
      void unionSelection(QCanvasItemList l);
      void subtractSelection(QCanvasItemList l);
      void intersectSelection(QCanvasItemList l);

   signals:
      void hasSelection(bool);

   private slots:
      void startAnts(bool start);
      void moveAnts();
 
   private:
      GameObj *game;

      QCanvasItemList selected;
      QMap<QCanvas *, unsigned int> refcount;
      QTimer antsTimer;
};

#endif /* __SELECTIONHANDLER_H_ */
