// $Id: tabpage.h,v 1.2 2004/06/20 04:07:17 uckelman Exp $
/* Board -- a graphical frontend for boardgames
 * Copyright (C) 2003, 2004 Joel Uckelman
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef __TABPAGE_H_
#define __TABPAGE_H_

#include <qiconset.h>
#include <qstring.h>
#include <qwidget.h>


class TabPage : public QWidget {
   Q_OBJECT

   public:
      TabPage(const QIconSet &i, const QString &t, QWidget *parent = 0,
      const char *name = 0, WFlags f = 0);
      QIconSet iconSet() const;
      void setIconSet(const QIconSet &i);
      QString toolTip() const;
      void setToolTip(const QString &t);

   signals:
      void requestClose(TabPage *);

   private slots:
      void closeRequest();

   private:
      QIconSet IconSet;
      QString ToolTip;
};


#endif /* __TABPAGE_H_ */
