// $Id: tokendrag.h,v 1.5 2004/08/01 02:15:11 uckelman Exp $
/* Board -- a graphical frontend for boardgames
 * Copyright (C) 2004 Joel Uckelman
 *
 * This program is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#ifndef __TOKENDRAG_H_
#define __TOKENDRAG_H_

#include <qcanvas.h>
#include <qdragobject.h>

class Token;


class TokenDrag : public QStoredDrag {
   Q_OBJECT   

   public:
      TokenDrag(Token *c, const QPoint &p, QWidget *dragSource = 0,
       const char *name = 0);
      TokenDrag(const QCanvasItemList &tokens,
       const QValueList<QPoint> &points, QWidget *dragSource = 0,
       const char *name = 0);
      TokenDrag(const QValueList<unsigned int> &tokens,
       const QValueList<QPoint> &points, QWidget *dragSource = 0,
       const char *name = 0);
      TokenDrag(const QByteArray &bytes, QWidget *dragSource = 0,
       const char *name = 0);
      virtual ~TokenDrag();
      static bool canDecode(const QMimeSource *m);
      static bool decode(const QMimeSource *m, QCanvasItemList &tokens,
       QValueList<QPoint> &points);
      static bool decode(const QMimeSource *m,
       QValueList<unsigned int> &tokens, QValueList<QPoint> &points);
   
   signals:
      void failed();
};

#endif /* __TOKENDRAG_H_ */
